net.corda.core.serialization

## Class CompositeKeyNodeSerializer

- net.corda.core.serialization.CompositeKeyNodeSerializer

-     public class CompositeKeyNodeSerializer

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static CompositeKeyNodeSerializer` | `INSTANCE`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `CompositeKey.Node` | `read(com.esotericsoftware.kryo.Kryo kryo, com.esotericsoftware.kryo.io.Input input, java.lang.Class<net.corda.core.crypto.CompositeKey.Node> type)`
    `void` | `write(com.esotericsoftware.kryo.Kryo kryo, com.esotericsoftware.kryo.io.Output output, CompositeKey.Node obj)`

- - ### Field Detail

    - #### INSTANCE

          public static CompositeKeyNodeSerializer INSTANCE

  - ### Method Detail

    - #### write

          public void write(com.esotericsoftware.kryo.Kryo kryo,
                            com.esotericsoftware.kryo.io.Output output,
                            CompositeKey.Node obj)

    - #### read

          public CompositeKey.Node read(com.esotericsoftware.kryo.Kryo kryo,
                                        com.esotericsoftware.kryo.io.Input input,
                                        java.lang.Class<net.corda.core.crypto.CompositeKey.Node> type)